DataAdder7F
Date: 2019-10-22

org.jmol.quantum.mo

## Class DataAdder7F

- java.lang.Object
- - org.jmol.quantum.mo.DataAdder7F

- All Implemented Interfaces:
    DataAdder

      public class DataAdder7F
      extends java.lang.Object
      implements DataAdder

  adds 7 spherical F orbital contributions

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static double` | `c0_xxz_yyz`
    `(package private) static double` | `c1n_xxy`
    `(package private) static double` | `c1n_yyy`
    `(package private) static double` | `c1n_yzz`
    `(package private) static double` | `c1p_xxx`
    `(package private) static double` | `c1p_xyy`
    `(package private) static double` | `c1p_xzz`
    `(package private) static double` | `c2p_xxz_yyz`
    `(package private) static double` | `c3n_xxy`
    `(package private) static double` | `c3n_yyy`
    `(package private) static double` | `c3p_xxx`
    `(package private) static double` | `c3p_xyy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataAdder7F()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addData(MOCalculation calc, boolean havePoints)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### c0_xxz_yyz

          static final double c0_xxz_yyz

      See Also:
        Constant Field Values

    - #### c1p_xzz

          static final double c1p_xzz

      See Also:
        Constant Field Values

    - #### c1p_xxx

          static final double c1p_xxx

      See Also:
        Constant Field Values

    - #### c1p_xyy

          static final double c1p_xyy

      See Also:
        Constant Field Values

    - #### c1n_yzz

          static final double c1n_yzz

      See Also:
        Constant Field Values

    - #### c1n_yyy

          static final double c1n_yyy

      See Also:
        Constant Field Values

    - #### c1n_xxy

          static final double c1n_xxy

      See Also:
        Constant Field Values

    - #### c2p_xxz_yyz

          static final double c2p_xxz_yyz

      See Also:
        Constant Field Values

    - #### c3p_xxx

          static final double c3p_xxx

      See Also:
        Constant Field Values

    - #### c3p_xyy

          static final double c3p_xyy

      See Also:
        Constant Field Values

    - #### c3n_yyy

          static final double c3n_yyy

      See Also:
        Constant Field Values

    - #### c3n_xxy

          static final double c3n_xxy

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataAdder7F

          public DataAdder7F()

  - ### Method Detail

    - #### addData

          public boolean addData(MOCalculation calc,
                                 boolean havePoints)

      Specified by:
        `addData` in interface `DataAdder`